1.1. Java JDK

Install Java SE 8 (also known as Java SE 1.8) JDK (Java Development Kit).

Note: Be sure to install the JDK, not the JRE (Java Runtime Environment).

Note: We use the Java 8 JVM, but:

  • for DAWN 1.x and GDA 8.x, ALL code must be Java 7 compliant - do not use constructs that are new in Java 8.
  • for DAWN 2.x and GDA 9.you may use constructs that are new in Java 8.

The JDK can be downloaded from Oracle. Alternatively, you could use OpenJDK, but be aware that DLS only test using the Oracle JDK.